Skip to main content
GET
/
1
/
tasks
/
{taskID}
curl
curl --request GET \
  --url https://data.us.algolia.com/1/tasks/6c02aeb1-775e-418e-870b-1faccd4b2c0f \
  --header 'accept: application/json' \
  --header 'x-algolia-api-key: ALGOLIA_API_KEY' \
  --header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID'
{
  "createdAt": "<string>",
  "destinationID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
  "enabled": true,
  "sourceID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
  "taskID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
  "trigger": {
    "type": "onDemand",
    "lastRun": "<string>"
  },
  "updatedAt": "<string>",
  "cursor": "<string>",
  "failureThreshold": 50,
  "input": {
    "mapping": {
      "actions": [
        {
          "enabled": true,
          "fieldDirectives": [
            {
              "fieldKey": "<string>",
              "value": {}
            }
          ],
          "trigger": "<string>",
          "id": "<string>"
        }
      ],
      "format": "mappingkit/v1"
    }
  },
  "notifications": {
    "email": {
      "enabled": true
    }
  },
  "policies": {
    "criticalThreshold": 5
  }
}
Use getTask instead. Required ACL: addObject, deleteIndex, editSettings

Authorizations

x-algolia-application-id
string
header
required

Your Algolia application ID.

x-algolia-api-key
string
header
required

Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.

Path Parameters

taskID
string
required

Unique identifier of a task. Universally unique identifier (UUID) of a task.

Example:

"6c02aeb1-775e-418e-870b-1faccd4b2c0f"

Response

OK

The V1 task object. Use methods and types that don't contain the V1 suffix.

createdAt
string
required

Date and time when the resource was created, in RFC 3339 format.

destinationID
string
required

Universally unique identifier (UUID) of a destination resource.

Example:

"6c02aeb1-775e-418e-870b-1faccd4b2c0f"

enabled
boolean
default:true
required

Whether the task is enabled.

sourceID
string
required

Universally uniqud identifier (UUID) of a source.

Example:

"6c02aeb1-775e-418e-870b-1faccd4b2c0f"

taskID
string
required

Universally unique identifier (UUID) of a task.

Example:

"6c02aeb1-775e-418e-870b-1faccd4b2c0f"

trigger
object
required

Trigger that runs the task.

updatedAt
string
required

Date and time when the resource was last updated, in RFC 3339 format.

action
enum<string>

Action to perform on the Algolia index.

Available options:
replace,
save,
partial,
partialNoCreate,
append
cursor
string

Date and time when the last cursor was created, in RFC 3339 format.

failureThreshold
integer

Maximum accepted percentage of failures for a task run to finish successfully.

Required range: 0 <= x <= 100
input
Streaming input · object

Configuration of the task, depending on its type.

notifications
object

Notifications settings for a task.

policies
object

Set of rules for a task.

Last modified on March 23, 2026